cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CLOUDSTACK-9462) Systemd packaging for Ubuntu 16.04
Date Thu, 25 Aug 2016 10:09:20 GMT

    [ https://issues.apache.org/jira/browse/CLOUDSTACK-9462?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15436616#comment-15436616
] 

ASF subversion and git services commented on CLOUDSTACK-9462:
-------------------------------------------------------------

Commit 142772d524faf7e418eec43b2232633f21d773eb in cloudstack's branch refs/heads/4.9-systemdubuntupkging
from [~widodh]
[ https://git-wip-us.apache.org/repos/asf?p=cloudstack.git;h=142772d ]

CLOUDSTACK-9462: Systemd support for Ubuntu 16.04

- systemd: Add a /etc/sysconfig/cloudstack-* file

  This allows users to easily override variables passed to Java when
  starting up.

  It also creates a foundation for sharing the systemd service profile
  between CentOS and Ubuntu since it only requires the environment file
  to be changed.

- deb: Add Ubuntu 16.04 support

  Ubuntu 16.04 differs from Ubuntu 14.04 in a few ways:
  - systemd instead of sysvinit / upstart
  - Java 8 support

  The packaging now detects on which distribution it is being
  build and based on that it installs different files in the
  packages, but it also changes the Dependencies.

  Packages for Ubuntu 16.04 will require Java 8 as a JRE

Signed-off-by: Rohit Yadav <rohit.yadav@shapeblue.com>


> Systemd packaging for Ubuntu 16.04
> ----------------------------------
>
>                 Key: CLOUDSTACK-9462
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-9462
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>            Reporter: Rohit Yadav
>            Assignee: Rohit Yadav
>             Fix For: 4.10.0, 4.9.1
>
>
> Support for building deb packages that will work on Ubuntu 16.04



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message